Skip to main content

CKYC PreUpload API

The following document highlights the details of the CKYC PreUpload API.

API Description

Objective

The CKYC PreUpload API is a prerequisite for the CKYC Upload API. It enables HyperVerge to connect with CERSAI on behalf of your organization by setting up required configurations and webhook endpoints.

InputOutput
Organization details, CKYC credentials, webhook URL, and SFTP host configurationConfirmation that the configuration was successfully created or updated

API URL

The following URLs are available for CKYC PreUpload API calls in testbed and production environments:

Testbed URL

https://ind-ckyc.dev.hyperverge.co/api/v1/config/upload

Production URL

https://ind-ckyc.hyperverge.co/api/v1/config/upload

API Endpoint

config/upload

Overview

The CKYC PreUpload API is RESTful and uses standard HTTP verbs and status codes. The responses are in JSON format.

Methods - POST / PUT

POST vs PUT

Use POST to create a new CKYC configuration, and PUT to update an existing one.

In PUT requests, all fields are optional. Only the fields that require updates need to be included. For POST requests, refer to the Inputs table for mandatory fields.

Authentication

You need a unique pair of application ID (appId) and application key (appKey) from HyperVerge to verify your identity for accessing the CKYC PreUpload API.

Headers

Include the following headers in every request for successful authentication and tracking:

HeaderMandatory / OptionalDescriptionInput Format
content-typeMandatoryThis parameter defines the media type for the request payloadapplication/json
appIdMandatoryThe application ID shared by HyperVerge. You can find the details in the dashboard's credentials tabThis should be a unique value
appKeyMandatoryThe application key shared by HyperVerge. You can find the details in the dashboard's credentials tabThis should be a unique value
transactionIdMandatoryA unique identifier for tracking a user journeyThis should be both unique and easily associated with the user's journey in your application(s)

Inputs

Provide the following request body parameters based on your configuration requirements:

ParameterMandatory / OptionalTypeDescriptionInput FormatDefault Value
organisationNameMandatorystringName of the organization as registered in CKYCNot ApplicableNot Applicable
fiCodeMandatorystringFI code assigned by CKYCLength must be 1–7 charactersNot Applicable
regionCodeMandatorystringUnique code of the geographical region registered in CKYCLength must be 1–10 charactersNot Applicable
webhookUrlMandatorystringThe URL to receive webhooks containing final CKYC upload responses from CERSAINot ApplicableNot Applicable
usernameMandatorystring'Maker' username for CKYC portalNot ApplicableNot Applicable
passwordMandatorystring'Maker' password for CKYC portalNot ApplicableNot Applicable
hostMandatorystringIP address provided by HyperVerge for CKYC uploads; separate IPs are used for Testbed and Production environmentsNot ApplicableNot Applicable
retentionDaysOptionalstringNumber of days for which upload data should be retained. It is recommended to set retention of 28 days to avoid losing any upload records.Allowed values: 1, 14, 28, 45, 90, 18014
returnCKYCRefIdSeparatelyOptionalstringIf enabled, a separate field ckyc_ref_id will be included in the webhook response for short and long confirmed match casesyes or noNot Applicable
emailOptionalstringEmail address to which SFTP connection failure notifications will be sentNot ApplicableNot Applicable

Request

The following cURL samples show how to call the CKYC PreUpload API in both environments:

curl --location --request POST 'https://ind-ckyc.dev.hyperverge.co/api/v1/config/upload' \
--header 'Content-Type: application/json' \
--header 'appId: <Enter_the_App_ID>' \
--header 'appKey: <Enter_the_App_Key>' \
--header 'transactionId: <Enter_the_Transaction_ID>' \
--data '{
"organisationName": "<Enter_the_Organisation_Name>",
"fiCode": "<Enter_the_FI_Code>",
"regionCode": "<Enter_the_Region_Code>",
"webhookUrl": "<Enter_the_URL>",
"username": "<Enter_the_username>",
"password": "<Enter_the_password>",
"host": "<Enter_the_IP_Address>",
"retentionDays" : "<Enter_the_number_of_retention_days>",
"returnCKYCRefIdSeparately" : "<yes/no>",
"email" : "<Enter_the_Email_Address>"
}'

Success Response

The following example shows a successful response returned by the CKYC PreUpload API:

{
"status": "success",
"statusCode": "200",
"result": true
}

Success Response Details

The following table outlines the details of the success response from the CKYC PreUpload API:

ParameterTypeDescription
statusstringThe status of the request. Returns success on a successful call.
statusCodestringThe HTTP status code for the response.
resultbooleanReturns true when the configuration was successfully created or updated.

Error Responses

The following examples show common error responses returned by the CKYC PreUpload API for invalid input scenarios:

{
"status": "failure",
"statusCode": "400",
"error": {
"code": "ER_REQ_VALIDATE",
"message": "fiCode should not be null or undefined"
},
"metaData": {
"requestId": "<Request_ID>",
"transactionId": "<Transaction_ID>"
}
}

Error Response Details

A failure or error response contains a failure status with a relevant status code and error message. The following table lists the error responses for the CKYC PreUpload API:

Status CodeError MessageError DescriptionError Resolution
400fiCode should not be null or undefinedThe FI code is missing or not provided in the requestProvide a valid fiCode value in the request body
400regionCode should not be null or undefinedThe region code is missing or not provided in the requestProvide a valid regionCode value in the request body
400webhookUrl should not be emptyThe webhook URL is missing or empty in the requestProvide a valid webhookUrl value in the request body
400username should not be emptyThe CKYC portal username is missing or empty in the requestProvide a valid username value in the request body
400password should not be emptyThe CKYC portal password is missing or empty in the requestProvide a valid password value in the request body
400host should not be emptyThe SFTP host address is missing or empty in the requestProvide the IP address supplied by HyperVerge in the host field
401Missing/Invalid credentialsThe request is missing the mandatory appId and appKey combination or has invalid valuesVerify and provide valid credentials
500internal server errorKindly check the request headers or contact the HyperVerge team for resolutionCheck the request headers or contact the HyperVerge team for resolution
Was this helpful?
Ask AIBeta
Hi! How can I help?
Ask me anything about HyperVerge products, APIs, and SDKs.
Try asking: